using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.SC.PM;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PE
{
    [Description("标准化评分导入细表")]
    public class T_PE_STANDARDIZED_SCORE_IMPORT_ITEM : MesEntityBase
    {
        [Description("主表ID")]
        [DataFieldForeignKey("Nav_Standardized", "Nav_Details")]
        public Guid? STANDARDIZED_SCORE_IMPORT_ID { get; set; }

        [Description("导航：标准化评分导入")]
        public virtual T_PE_STANDARDIZED_SCORE_IMPORT Nav_Standardized { get; set; }

        [Description("考评项目")]
        [EnumName("PEEvaluationItemEnum")]
        public int? EVALUATION_ITEM { get; set; }

        [Description("考评内容")]
        public string CONTENTS { get; set; }
        [Description("标准分")]
        public decimal? STANDARDIZED_SCORE { get; set; }
        [Description("非标准分")]
        public decimal? NON_STANDARDIZED_SCORE { get; set; }
        [Description("顺序")]
        public int? NUM { get; set; }
        [Description("组别编号")]
        public string GROUP_NO { get; set; }

        [Description("考评办法")]
        public string DESCRIPTION { get; set; }

        [Description("是否手动打分")]
        public bool IS_AUTO { get; set; } = false;
    }
}
